﻿# Créé par Elias, le 16/11/2019 en Python 3.4
''' FICHE PRINCIPALE : Partie VIII. Histogrammes en statistiques '''

from numpy import *
from matplotlib.pyplot import *


def affiche():
    mespas = [6534,7000,8900,10786,3467,11045,5095]
    positions = [1,2,3,4,5,6,7]
    lesjours = ['lun','mar','mer','jeu','ven','sam','dim']
    bar(positions,mespas,align="center")
    xticks(positions,lesjours)
    xlabel('jour')
    ylabel('pas')
    title('nombre de pas effectués')
    show()


def histogramme(donnees, etiquettes):
    nombre_barres = len(donnees)
    positions = range(1,nombre_barres+1)
    bar(positions, donnees, align='center')
    xticks(positions, etiquettes)
    ylabel('pas')
    xlabel('jour')
    title('nombre de pas effectués')
    show()


#mespas = [6534,7000,8900,10786,3467,11045,5095]
#lesjours = ['lun','mar','mer','jeu','ven','sam','dim']
#histogramme(mespas,lesjours)


