﻿# Créé par Elias Berrabah, le 6/11/2019 en Python 3.4
''' FICHE 1 : Matplotlib et probabilités '''
# Proposition d’exo 4 : marche aléatoire sur Z²

from matplotlib.pyplot import *
import random
from utile import *

def donne_direction():

    """ retourne aléatoire une direction sous forme de coordonnées de vecteurs
    : nord (0,1), sud (0,-1) , est (1,0) , ouest (-1,0) """

    return random.choice([(0,1),(0,-1),(1,0),(-1,0)])

def marche_aleatoire(nb_point):

    abscisses = [0]
    ordonnees = [0]
    # au départ, le point est [0,0]

    for k in range(1,nb_point):
        direction = donne_direction() # c'est un tuple
        abscisses.append(abscisses[k-1]+direction[0])
        ordonnees.append(ordonnees[k-1]+direction[1])

    plot(abscisses,ordonnees)
    axesnormaux()


